View Issue Details

IDProjectCategoryView StatusLast Update
0020386mantisbtcustom fieldspublic2016-06-12 00:43
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020386: Required on resolve/close custom fields are not enforced
Description

For example, create a custom field of type string, add it to a project, mark it to be displayed on resolve page and mark as required on resolved. You will notice that it is possible to resolve the issue while leaving the string custom fields empty without any error messages.

Tagsmantishub

Activities

Related Changesets

MantisBT: master 176169c7

2015-12-14 21:21:35

vboctor

Details Diff
Fix required on resolve/close for custom fields

If a custom field is marked as required on resolved or closed, it wasn't
enforced. It was only enforced for the regular issue update page.

Fixes 0020386
mod - bug_update.php Diff File

Issue History

Date Modified Username Field Change
2015-12-14 20:25 vboctor New Issue
2015-12-14 20:26 vboctor Tag Attached: mantishub
2015-12-14 21:23 vboctor Assigned To => vboctor
2015-12-14 21:23 vboctor Status new => assigned
2015-12-14 21:23 vboctor Summary Required on resolve custom fields are not enforced => Required on resolve/close custom fields are not enforced
2015-12-14 21:23 vboctor Note Added: 0052123
2015-12-17 21:23 vboctor Changeset attached => MantisBT master 176169c7
2015-12-17 21:23 vboctor Status assigned => resolved
2015-12-17 21:23 vboctor Resolution open => fixed
2015-12-17 21:23 vboctor Fixed in Version => 1.3.0-rc.2
2016-06-12 00:43 vboctor Status resolved => closed